summary refs log tree commit diff stats
path: root/update-tabnine.sh
diff options
context:
space:
mode:
Diffstat (limited to 'update-tabnine.sh')
-rwxr-xr-xupdate-tabnine.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/update-tabnine.sh b/update-tabnine.sh
new file mode 100755
index 00000000..19fe45df
--- /dev/null
+++ b/update-tabnine.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+function prefetch_target () {
+  nix-prefetch-url --type sha256 https://update.tabnine.com/$2/$1/TabNine 2> /dev/null
+}
+
+if [ -z "$1" ]; then
+  echo "Usage: $0 <version>"
+  exit 1
+fi
+
+echo "
+sha256 = if stdenv.isDarwin then
+\"$(prefetch_target x86_64-apple-darwin $1)\"
+else
+\"$(prefetch_target x86_64-unknown-linux-musl $1)\";"